<script>
    export default {
        props: {
            value: String,
            label: String,
            errorMessage: String
        },
        data: () => ({
            showError: false
        }),
        methods: {
            handleInput(e) {
                let value = e.target.value.trim();
                this.$emit("input", value);
            },
        }
    }
</script>
<template>
    <div class="form-group w-100pr max-w-100 mb-0">
        <label class="form-label tx-12">
            {{ label }}
        </label>
        <input class="form-input" :class="[ showError && 'is-invalid']" type="text" :value="value" @input="handleInput">
        <span class="is-invalid-feedback absolute mt-1" v-if=" showError " v-html="errorMessage"></span>
    </div>
</template>